/**
 *  This file is part of MythTV for Android
 * 
 *  MythTV for Android is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  MythTV for Android is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with MythTV for Android.  If not, see <http://www.gnu.org/licenses/>.
 *   
 * This software can be found at <https://github.com/MythTV-Android/MythTV-Service-API/>
 *
 */
package org.mythtv.services.connect;

import java.util.logging.Level;

import org.mythtv.services.api.MythServices;
import org.mythtv.services.api.MythServicesTemplate;

/**
 * @author Daniel Frey
 *
 */
public class MythServicesServiceProvider {

	private final String apiUrlBase;
	private Level logLevel;
	
	public MythServicesServiceProvider( String apiUrlBase) {
		this(apiUrlBase, Level.INFO);
	}
	
	public MythServicesServiceProvider( String apiUrlBase, Level logLevel ) {
		if(!apiUrlBase.endsWith("/"))
			apiUrlBase += "/";
		this.apiUrlBase = apiUrlBase;
		this.logLevel = logLevel;
	}

	public MythServices getApi() {
		return new MythServicesTemplate( getApiUrlBase(), logLevel );
	}
	
	// internal helpers
	
	protected String getApiUrlBase() {
		return apiUrlBase;
	}

}
